Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | Private Member Functions | List of all members
eZXMLTextType Class Reference

The class eZXMLTextType haneles XML formatted datatypes. More...

Inheritance diagram for eZXMLTextType:

## Public Member Functions
| __construct ()
| initializeClassAttribute ( $classAttribute)
| initializeObjectAttribute ( $contentObjectAttribute, $currentVersion, $originalContentObjectAttribute)
| onPublish ( $contentObjectAttribute, $object, $publishedNodes)
| validateObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| fetchClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fetchObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| postInitializeObjectAttribute ( $objectAttribute, $currentVersion, $originalContentObjectAttribute)
| storeObjectAttribute ( $attribute)
| viewTemplate ( $contentobjectAttribute)
| editTemplate ( $contentobjectAttribute)
| informationTemplate ( $contentobjectAttribute)
| viewTemplateSuffix (&$contentobjectAttribute)
| editTemplateSuffix (&$contentobjectAttribute)
| informationTemplateSuffix (&$contentobjectAttribute)
| objectAttributeContent ( $contentObjectAttribute)
| metaData ( $contentObjectAttribute)
| toString ( $contentObjectAttribute)
| fromString ( $contentObjectAttribute, $string)
| title ( $contentObjectAttribute, $value=null)
| hasObjectAttributeContent ( $contentObjectAttribute)
| isIndexable ()
| isInformationCollector ()
| templateList ()
| serializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| unserializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| customObjectAttributeHTTPAction ( $http, $action, $contentObjectAttribute, $parameters)
| serializeContentObjectAttribute ( $package, $objectAttribute)
| unserializeContentObjectAttribute ( $package, $objectAttribute, $attributeNode)
| postUnserializeContentObjectAttribute ( $package, $objectAttribute)
| deleteStoredObjectAttribute ( $contentObjectAttribute, $version=null)
| diff ( $old, $new, $options=false)
| supportsBatchInitializeObjectAttribute ()
| batchInitializeObjectAttributeData ( $classAttribute)
Public Member Functions inherited from eZDataType
| __construct ( $dataTypeString, $name, $properties=array())
| eZDataType ( $dataTypeString, $name, $properties=array())
| resultTemplate (&$collectionAttribute)
| isA ()
| isTranslatable ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| isHTTPFileInsertionSupported ()
| isRegularFileInsertionSupported ()
| isSimpleStringInsertionSupported ()
| isRelationType ()
| insertHTTPFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $httpFile, $mimeData, &$result)
| insertRegularFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $filePath, &$result)
| insertSimpleString ( $object, $objectVersion, $objectLanguage, $objectAttribute, $string, &$result)
| hasStoredFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| handleDownload ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| storedFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| productOptionInformation ( $objectAttribute, $optionID, $productItem)
| objectDisplayInformation ( $objectAttribute, $mergeInfo=false)
| classDisplayInformation ( $classAttribute, $mergeInfo=false)
| classAttributeContent ( $classAttribute)
| preStoreClassAttribute ( $classAttribute, $version)
| storeClassAttribute ( $classAttribute, $version)
| storeDefinedClassAttribute ( $classAttribute)
| storeModifiedClassAttribute ( $classAttribute)
| storeVersionedClassAttribute ( $classAttribute, $version)
| preStoreDefinedClassAttribute ( $classAttribute)
| preStoreModifiedClassAttribute ( $classAttribute)
| preStoreVersionedClassAttribute ( $classAttribute, $version)
| validateClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fixupClassAttributeHTTPInput ( $http, $base, $classAttribute)
| customClassAttributeHTTPAction ( $http, $action, $classAttribute)
| fetchActionValue ( $action, $actionName, &$value)
| fixupObjectAttributeHTTPInput ( $http, $base, $objectAttribute)
| validateCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fixupCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fetchCollectionAttributeHTTPInput ( $collection, $collectionAttribute, $http, $base, $objectAttribute)
| handleCustomObjectHTTPActions ( $http, $attributeDataBaseName, $customActionAttributeArray, $customActionParameters)
| cloneClassAttribute ( $oldClassAttribute, $newClassAttribute)
| repairContentObjectAttribute ( $contentObjectAttribute)
| postStore ( $objectAttribute)
| trashStoredObjectAttribute ( $objectAttribute, $version=null)
| restoreTrashedObjectAttribute ( $objectAttribute)
| deleteStoredClassAttribute ( $classAttribute, $version=null)
| deleteNotVersionedStoredClassAttribute (eZContentClassAttribute $classAttribute)
| contentActionList ( $classAttribute)
| hasInformationCollection ()
| isAddToBasketValidationRequired ()
| validateAddToBasket ( $objectAttribute, $data, &$errors)
| isClassAttributeRemovable ( $classAttribute)
| classAttributeRemovableInformation ( $classAttribute, $includeAll=true)
| sortKey ( $objectAttribute)
| sortKeyType ()
| customSorting ()
| customSortingSQL ( $params)
| removeRelatedObjectItem ( $contentObjectAttribute, $objectID)
| fixRelatedObjectItem ( $contentObjectAttribute, $objectID, $mode)
| createContentObjectAttributeDOMNode ( $objectAttribute)
| getDBAFileName ()
| getDBAFilePath ( $checkExtensions=true)
| getDBAExtensionFilePath ()
| importDBDataFromDBAFile ( $dbaFilePath=false)

## Static Public Member Functions
static | rawXMLText ( $contentObjectAttribute)
static | domString ( $domDocument)
static | concatTextContent ( $node)
static | transformLinksToRemoteLinks (DOMNodeList $nodeList)
static | transformRemoteLinksToLinks (DOMNodeList $nodeList, $objectAttribute)
Static Public Member Functions inherited from eZDataType
static | create ( $dataTypeString)
static | registeredDataTypes ()
static | register ( $dataTypeString, $className)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)

## Public Attributes
const | DATA_TYPE_STRING = "ezxmltext"
const | COLS_FIELD = 'data_int1'
const | COLS_VARIABLE = '_ezxmltext_cols_'
const | TAG_PRESET_FIELD = 'data_text2'
const | TAG_PRESET_VARIABLE = '_ezxmltext_tagpreset_'
const | VERSION_30_TIMESTAMP = 1045487555
const | VERSION_TIMESTAMP = 1045487555
Public Attributes inherited from eZDataType
| $Attributes
| $DataTypeString
| The datatype string ID, used for uniquely identifying a datatype. More...
| $Name
| The descriptive name of the datatype, usually used for displaying to the user. More...

## Protected Attributes
| $deletedStoredObjectAttribute

## Private Member Functions
| getRelatedObjectList (DOMNodeList $domNodeList)

## Detailed Description

The class eZXMLTextType haneles XML formatted datatypes.

The formatted datatypes store the data in XML. A typical example of this is shown below:

<?xml version="1.0" encoding="utf-8" ?>
<section xmlns:image="http://ez.no/namespaces/ezpublish3/image/"
xmlns:xhtml="http://ez.no/namespaces/ezpublish3/xhtml/">
<header>This is a level one header</header>
<paragraph>
This is a <emphasize>block</emphasize> of text.
</paragraph>
<section>
<header class="foo">This is a level two header has classification "foo"</header>
<paragraph>
This is the second paragraph with <bold class="foo">bold text which has classification "foo"</bold>
</paragraph>
<header>This is a level two header</header>
<paragraph>
<line>Paragraph can have table</line>
<table class="foo" border='1' width='100%'>
<tr>
<th class="foo"><paragraph>table header of class "foo"</paragraph></th>
<td xhtml:width="66" xhtml:colspan="2" xhtml:rowspan="2">
<paragraph>table cell text</paragraph>
</td>
</tr>
</table>
</paragraph>
<paragraph>
<line>This is the first line with <anchor name="first">anchor</anchor></line>
<line>This is the second line with <link target="_self" id="1">link</link></line>
<line>This is the third line.</line>
</paragraph>
<paragraph>
<ul class="foo">
<li>List item 1</li>
<li>List item 2</li>
</ul>
</paragraph>
<paragraph>
<ol>
<li>Ordered list item 1</li>
<li>ordered list item 2</li>
</ol>
</paragraph>
<paragraph>
<line>Paragraph can have both inline custom tag <custom name="myInlineTag">text</custom> and block custom tag</line>
<custom name="myBlockTag">
<paragraph>
block text
</paragraph>
</custom>
</paragraph>
<paragraph>
Paragraph can have image object with link <object id="55" size="large" align="center" image:ezurl_id="4" />
</paragraph>
<paragraph>
You can use literal tag to write html code if you have done some changes in override system.
<literal class="html">&lt;font color=&quot;red&quot;&gt;red text&lt;/font&gt;</literal>
</paragraph>
<header>This is a level two header</header>
</section>
</section>

Definition at line 82 of file ezxmltexttype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXMLTextType::__construct | ( |  | ) |

Definition at line 98 of file ezxmltexttype.php.

References ezpI18n\tr().

## Member Function Documentation

## ◆ batchInitializeObjectAttributeData()

eZXMLTextType::batchInitializeObjectAttributeData | ( |  | $classAttribute | ) |

Reimplemented from eZDataType.

Definition at line 848 of file ezxmltexttype.php.

References domString(), and eZDB\instance().

## ◆ concatTextContent()

static eZXMLTextType::concatTextContent | ( |  | $node | ) |
| static

Recursively drills down in the xml tree in $node and concatenates text content from the DOMNodes with a space in-between to make sure search words from two different lines are merged.

Parameters

  DOMNode | $node |

Returns
  string

Definition at line 428 of file ezxmltexttype.php.

Referenced by metaData().

## ◆ customObjectAttributeHTTPAction()

eZXMLTextType::customObjectAttributeHTTPAction | ( |  | $http,
|  |  | $action,
|  |  | $objectAttribute,
|  |  | $parameters
| ) |  |

Executes a custom action for an object attribute which was defined on the web page.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 544 of file ezxmltexttype.php.

References objectAttributeContent().

## ◆ deleteStoredObjectAttribute()

eZXMLTextType::deleteStoredObjectAttribute | ( |  | $contentObjectAttribute,
|  |  | $version = `null`
| ) |  |

Delete stored object attribute, this will clean up the ezurls and ezobjectlinks

Reimplemented from eZDataType.

Definition at line 777 of file ezxmltexttype.php.

References eZURLObjectLink\definition(), eZDB\instance(), and eZPersistentObject\removeObject().

## ◆ diff()

eZXMLTextType::diff | ( |  | $old,
|  |  | $new,
|  |  | $options = `false`
| ) |  |

Method used by content diff system to retrieve changes in attributes. This method implements the default behaviour, which is to show old and new version values of the object.

Reimplemented from eZDataType.

Definition at line 834 of file ezxmltexttype.php.

## ◆ domString()

static eZXMLTextType::domString | ( |  | $domDocument | ) |
| static

Returns
  the XML structure in $domDocument as text. It will take of care of the necessary charset conversions for content storage.

Definition at line 383 of file ezxmltexttype.php.

Referenced by batchInitializeObjectAttributeData(), initializeObjectAttribute(), postUnserializeContentObjectAttribute(), and eZSimplifiedXMLInput\validateInput().

## ◆ editTemplate()

eZXMLTextType::editTemplate | ( |  | $contentobjectAttribute | ) |

Returns
  the template name to use for editing the attribute.

Note
  Default is to return the datatype string which is OK for most datatypes, if you want dynamic templates reimplement this function and return a template name.
  The returned template name does not include the .tpl extension.

See also
  viewTemplate, informationTemplate

Reimplemented from eZDataType.

Definition at line 319 of file ezxmltexttype.php.

References eZDataType\$DataTypeString, and editTemplateSuffix().

## ◆ editTemplateSuffix()

eZXMLTextType::editTemplateSuffix | ( | & | $contentobjectAttribute | ) |

Definition at line 344 of file ezxmltexttype.php.

References objectAttributeContent().

Referenced by editTemplate().

## ◆ fetchClassAttributeHTTPInput()

eZXMLTextType::fetchClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $classAttribute
| ) |  |

Fetches the HTTP input for the content class attribute.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 261 of file ezxmltexttype.php.

## ◆ fetchObjectAttributeHTTPInput()

eZXMLTextType::fetchObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Fetches the http post var string input and stores it in the data instance.

Reimplemented from eZDataType.

Definition at line 282 of file ezxmltexttype.php.

## ◆ fromString()

eZXMLTextType::fromString | ( |  | $contentObjectAttribute,
|  |  | $string
| ) |  |

Reimplemented from eZDataType.

Definition at line 459 of file ezxmltexttype.php.

## ◆ getRelatedObjectList()

eZXMLTextType::getRelatedObjectList | ( | DOMNodeList | $domNodeList | ) |
| private

Extracts ids of embedded/linked objects in an eZXML DOMNodeList

Parameters

  DOMNodeList | $domNodeList |

Returns
  array

Definition at line 226 of file ezxmltexttype.php.

References eZContentObject\fetchByNodeID().

Referenced by onPublish().

## ◆ hasObjectAttributeContent()

eZXMLTextType::hasObjectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns
  `true` if the datatype finds any content in the attribute $contentObjectAttribute.

Reimplemented from eZDataType.

Definition at line 501 of file ezxmltexttype.php.

References objectAttributeContent().

## ◆ informationTemplate()

eZXMLTextType::informationTemplate | ( |  | $contentobjectAttribute | ) |

Returns
  the template name to use for information collection for the attribute.

Note
  Default is to return the datatype string which is OK for most datatypes, if you want dynamic templates reimplement this function and return a template name.
  The returned template name does not include the .tpl extension.

See also
  viewTemplate, editTemplate

Reimplemented from eZDataType.

Definition at line 328 of file ezxmltexttype.php.

References eZDataType\$DataTypeString, and informationTemplateSuffix().

## ◆ informationTemplateSuffix()

eZXMLTextType::informationTemplateSuffix | ( | & | $contentobjectAttribute | ) |

Definition at line 351 of file ezxmltexttype.php.

References objectAttributeContent().

Referenced by informationTemplate().

## ◆ initializeClassAttribute()

eZXMLTextType::initializeClassAttribute | ( |  | $classAttribute | ) |

Set class attribute value for template version

Reimplemented from eZDataType.

Definition at line 108 of file ezxmltexttype.php.

## ◆ initializeObjectAttribute()

eZXMLTextType::initializeObjectAttribute | ( |  | $contentObjectAttribute,
|  |  | $currentVersion,
|  |  | $originalContentObjectAttribute
| ) |  |

Sets the default value.

Reimplemented from eZDataType.

Definition at line 118 of file ezxmltexttype.php.

References domString(), and rawXMLText().

## ◆ isIndexable()

eZXMLTextType::isIndexable | ( |  | ) |

Returns
  true if the datatype can be indexed

Reimplemented from eZDataType.

Definition at line 510 of file ezxmltexttype.php.

## ◆ isInformationCollector()

eZXMLTextType::isInformationCollector | ( |  | ) |

Returns
  true if the datatype can be used as an information collector

Reimplemented from eZDataType.

Definition at line 515 of file ezxmltexttype.php.

## ◆ metaData()

eZXMLTextType::metaData | ( |  | $contentObjectAttribute | ) |

Returns the meta data used for storing search indeces.

Reimplemented from eZDataType.

Definition at line 400 of file ezxmltexttype.php.

References concatTextContent(), and rawXMLText().

## ◆ objectAttributeContent()

eZXMLTextType::objectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns the content.

Reimplemented from eZDataType.

Definition at line 391 of file ezxmltexttype.php.

References rawXMLText().

Referenced by customObjectAttributeHTTPAction(), editTemplateSuffix(), hasObjectAttributeContent(), informationTemplateSuffix(), validateObjectAttributeHTTPInput(), and viewTemplateSuffix().

## ◆ onPublish()

eZXMLTextType::onPublish | ( |  | $contentObjectAttribute,
|  |  | $object,
|  |  | $publishedNodes
| ) |  |

Method triggered on publish for xml text datatype

This method makes sure that links from all translations of an xml text are registered in the ezurl_object_link table, and thus retained, if previous versions of an object are removed.

It also checks for embedded objects in other languages xml, and makes sure the matching object relations are stored for the publish version.

Parameters

  eZContentObjectAttribute | $contentObjectAttribute |
  eZContentObject | $object |
  array | $publishedNodes |

Returns
  boolean

Reimplemented from eZDataType.

Definition at line 149 of file ezxmltexttype.php.

References eZContentLanguage\decodeLanguageMask(), getRelatedObjectList(), eZDB\instance(), rawXMLText(), eZContentObject\RELATION_EMBED, eZContentObject\RELATION_LINK, and eZSimplifiedXMLInput\updateUrlObjectLinks().

## ◆ postInitializeObjectAttribute()

eZXMLTextType::postInitializeObjectAttribute | ( |  | $objectAttribute,
|  |  | $currentVersion,
|  |  | $originalContentObjectAttribute
| ) |  |

Initializes the object attribute with some data after object attribute is already stored. It means that for initial version you allready have an attribute_id and you can store data somewhere using this id.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 296 of file ezxmltexttype.php.

## ◆ postUnserializeContentObjectAttribute()

eZXMLTextType::postUnserializeContentObjectAttribute | ( |  | $package,
|  |  | $objectAttribute
| ) |  |

Reimplemented from eZDataType.

Definition at line 683 of file ezxmltexttype.php.

References domString(), and transformRemoteLinksToLinks().

## ◆ rawXMLText()

static eZXMLTextType::rawXMLText | ( |  | $contentObjectAttribute | ) |
| static

Returns
  the RAW XML text from the attribute $contentobjectAttribute. If the XML format is older than the current one it will be upgraded to the current before being returned.

Definition at line 363 of file ezxmltexttype.php.

References eZTextCodec\instance(), and VERSION_30_TIMESTAMP.

Referenced by initializeObjectAttribute(), metaData(), objectAttributeContent(), onPublish(), and title().

## ◆ serializeContentClassAttribute()

eZXMLTextType::serializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Adds the necessary dom structure to the attribute parameters.

Note
  The default is to add unsupported='true' to the attribute node, meaning that the datatype does not support serializing.

Reimplemented from eZDataType.

Definition at line 529 of file ezxmltexttype.php.

## ◆ serializeContentObjectAttribute()

eZXMLTextType::serializeContentObjectAttribute | ( |  | $package,
|  |  | $objectAttribute
| ) |  |

Returns
  a DOM representation of the content object attribute

Reimplemented from eZDataType.

Definition at line 554 of file ezxmltexttype.php.

References eZDataType\createContentObjectAttributeDOMNode(), and transformLinksToRemoteLinks().

## ◆ storeObjectAttribute()

eZXMLTextType::storeObjectAttribute | ( |  | $attribute | ) |

Store the content.

Reimplemented from eZDataType.

Definition at line 303 of file ezxmltexttype.php.

## ◆ supportsBatchInitializeObjectAttribute()

eZXMLTextType::supportsBatchInitializeObjectAttribute | ( |  | ) |

Reimplemented from eZDataType.

Definition at line 843 of file ezxmltexttype.php.

## ◆ templateList()

eZXMLTextType::templateList | ( |  | ) |

Makes sure content/datatype/.../ezxmltags/... are included.

Reimplemented from eZDataType.

Definition at line 523 of file ezxmltexttype.php.

## ◆ title()

eZXMLTextType::title | ( |  | $contentObjectAttribute,
|  |  | $value = `null`
| ) |  |

Returns the text.

Reimplemented from eZDataType.

Definition at line 468 of file ezxmltexttype.php.

References rawXMLText().

## ◆ toString()

eZXMLTextType::toString | ( |  | $contentObjectAttribute | ) |

Returns
  string representation of an contentobjectattribute data for simplified export

Reimplemented from eZDataType.

Definition at line 454 of file ezxmltexttype.php.

## ◆ transformLinksToRemoteLinks()

static eZXMLTextType::transformLinksToRemoteLinks | ( | DOMNodeList | $nodeList | ) |
| static

Definition at line 587 of file ezxmltexttype.php.

References eZURL\fetch(), eZContentObject\fetch(), and eZContentObjectTreeNode\fetch().

Referenced by serializeContentObjectAttribute().

## ◆ transformRemoteLinksToLinks()

static eZXMLTextType::transformRemoteLinksToLinks | ( | DOMNodeList | $nodeList,
|  |  | $objectAttribute
| ) |  |
| static

Definition at line 716 of file ezxmltexttype.php.

References eZContentObject\fetchByRemoteID(), eZContentObjectTreeNode\fetchByRemoteID(), eZContentObject\RELATION_EMBED, eZContentObject\RELATION_LINK, and eZDebug\writeWarning().

Referenced by postUnserializeContentObjectAttribute().

## ◆ unserializeContentClassAttribute()

eZXMLTextType::unserializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Extracts values from the attribute parameters and sets it in the class attribute.

Note
  This function is called after the attribute has been stored and a second store is called after this function is done.

Reimplemented from eZDataType.

Definition at line 538 of file ezxmltexttype.php.

## ◆ unserializeContentObjectAttribute()

eZXMLTextType::unserializeContentObjectAttribute | ( |  | $package,
|  |  | $objectAttribute,
|  |  | $attributeNode
| ) |  |

Parameters

  contentobject | attribute object
  domnode | object

Reimplemented from eZDataType.

Definition at line 640 of file ezxmltexttype.php.

References eZURL\create(), eZURLObjectLink\create(), and eZURL\urlByURL().

## ◆ validateObjectAttributeHTTPInput()

eZXMLTextType::validateObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Validates the input and returns true if the input was valid for this datatype.

Get object for input validation

Reimplemented from eZDataType.

Definition at line 250 of file ezxmltexttype.php.

References objectAttributeContent().

## ◆ viewTemplate()

eZXMLTextType::viewTemplate | ( |  | $contentobjectAttribute | ) |

Returns
  the template name to use for viewing the attribute.

Note
  Default is to return the datatype string which is OK for most datatypes, if you want dynamic templates reimplement this function and return a template name.
  The returned template name does not include the .tpl extension.

See also
  editTemplate, informationTemplate

Reimplemented from eZDataType.

Definition at line 308 of file ezxmltexttype.php.

References eZDataType\$DataTypeString, and viewTemplateSuffix().

## ◆ viewTemplateSuffix()

eZXMLTextType::viewTemplateSuffix | ( | & | $contentobjectAttribute | ) |

Definition at line 337 of file ezxmltexttype.php.

References objectAttributeContent().

Referenced by viewTemplate().

## Member Data Documentation

## ◆ $deletedStoredObjectAttribute

eZXMLTextType::$deletedStoredObjectAttribute
| protected

Definition at line 862 of file ezxmltexttype.php.

## ◆ COLS_FIELD

const eZXMLTextType::COLS_FIELD = 'data_int1'

Definition at line 85 of file ezxmltexttype.php.

## ◆ COLS_VARIABLE

const eZXMLTextType::COLS_VARIABLE = '_ezxmltext_cols_'

Definition at line 86 of file ezxmltexttype.php.

## ◆ DATA_TYPE_STRING

const eZXMLTextType::DATA_TYPE_STRING = "ezxmltext"

Definition at line 84 of file ezxmltexttype.php.

## ◆ TAG_PRESET_FIELD

const eZXMLTextType::TAG_PRESET_FIELD = 'data_text2'

Definition at line 89 of file ezxmltexttype.php.

## ◆ TAG_PRESET_VARIABLE

const eZXMLTextType::TAG_PRESET_VARIABLE = '_ezxmltext_tagpreset_'

Definition at line 90 of file ezxmltexttype.php.

## ◆ VERSION_30_TIMESTAMP

const eZXMLTextType::VERSION_30_TIMESTAMP = 1045487555

Definition at line 93 of file ezxmltexttype.php.

Referenced by rawXMLText().

## ◆ VERSION_TIMESTAMP

const eZXMLTextType::VERSION_TIMESTAMP = 1045487555

Definition at line 96 of file ezxmltexttype.php.

The documentation for this class was generated from the following file:

- ezxmltexttype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.